Page MenuHomePhabricator

Log entries for global filter hits are broken if wiki goes beyond their range
Closed, ResolvedPublic

Description

Example - you can see nothing after "Filter description:".

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2017, 7:59 AM
matej_suchanek changed the task status from Open to Stalled.Aug 26 2017, 9:50 AM

Apparently, cswiki has been moved to large.dblist (rOMWC69def475d83ae682a77b5aea098fc28dcc5a136f), so it doesn't have global filters enabled anymore. Still, there's the problem that older log entries do not show filter names (should they?).

Links to them are also broken.

matej_suchanek renamed this task from Global filter descriptions are not shown in AbuseLog to Log entries for global filter hits are broken if wiki goes beyond their range.Aug 26 2017, 10:26 AM
DannyS712 moved this task from Backlog to Logging on the AbuseFilter board.Oct 10 2019, 6:28 AM
matej_suchanek changed the task status from Stalled to Open.Jan 19 2020, 10:52 AM
matej_suchanek triaged this task as Low priority.
matej_suchanek added a subscriber: Daimona.

We can probably show "Global filter #123" instead or always query with afl_global = 0 when T220791 is done.

matej_suchanek moved this task from Backlog to Ideas for overhaul on the User-Daimona board.

We can probably show "Global filter #123" instead or always query with afl_global = 0 when T220791 is done.

Either shouldn't be hard to do.

Change 633979 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/AbuseFilter@master] Improve display of log entries when global filters are not enabled

https://gerrit.wikimedia.org/r/633979

Change 633979 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Improve display of log entries when global filters are not enabled

https://gerrit.wikimedia.org/r/633979

Daimona closed this task as Resolved.Oct 15 2020, 4:26 PM